查询管理促销详情+listing+订单(批量)
POST
/promotionApi/open/promotion/managementAllDetailBatch接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/promotionApi/open/promotion/managementAllDetailBatch | HTTPS | POST | 1 |
请求参数
itemListarray<object>必填隐藏子属性
promotionIdstring必填storeIdstring必填orderPageNumnumber必填orderPageSizenumber必填listingPageNumnumber必填listingPageSizenumber必填请求示例
{
"itemList": [
{
"promotionId": "PROMO123456",
"storeId": "STORE789",
"orderPageNum": 1,
"orderPageSize": 50,
"listingPageNum": 1,
"listingPageSize": 100
},
{
"promotionId": "PROMO654321",
"storeId": "STORE987",
"orderPageNum": 2,
"orderPageSize": 100,
"listingPageNum": 1,
"listingPageSize": 200
}
]
}
返回结果
Json Object
codenumber必填messagestring必填error_detailsarray<any>request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
promotionIdstring必填storeIdstring必填managementobject必填隐藏子属性
storeIdstring必填storeNamestring必填regionNamestring必填currencyIconstring必填promotionIdstring必填namestring必填statusnumber必填statusTextstring必填originStatusstring必填promotionTypenumber必填promotionTypeTextstring必填promotionStartTimestring必填promotionEndTimestring必填promotionCodestring必填exchangeLimitnumber必填participateConditionstring必填buyerGetsstring必填purchaseProductstring必填discountProductstring必填excludeProductstring必填trackingIdstring必填displayOnDetailPagenumber必填salesAmountnumber必填salesVolumenumber必填promotionPageLinkstring必填listingPageobject必填隐藏子属性
currentnumber必填currentSizenumber必填hasNextPageboolean必填hasPreviousPageboolean必填pageCountnumber必填recordsarray<object>必填隐藏子属性
asinstring必填asinUrlstring必填currencyIconstring必填itemNamestring必填managementobject必填隐藏子属性
discountPricenumber必填salesAmountnumber必填salesPricenumber必填salesVolumenumber必填regionNamestring必填sellerSkustring必填smallImageUrlstring必填storeIdnumber必填storeNamestring必填sizenumber必填totalnumber必填orderPageobject必填隐藏子属性
currentnumber必填currentSizenumber必填hasNextPageboolean必填hasPreviousPageboolean必填pageCountnumber必填recordsarray<object>必填隐藏子属性
amazonOrderIdstring必填currencyIconstring必填orderItemsarray<object>必填隐藏子属性
asinstring必填asinUrlstring必填itemNamestring必填localNamestring必填localSkustring必填promotionIdstring必填sellerSkustring必填smallImageUrlstring必填orderStatusstring必填orderTotalAmountnumber必填purchaseDatestring必填regionNamestring必填storeIdnumber必填storeNamestring必填sizenumber必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8",
"response_time": "2023-05-15 14:30:45",
"total": 1,
"data": [
{
"promotionId": "PROMO123456",
"storeId": "STORE789",
"management": {
"storeId": "STORE789",
"storeName": "BestSeller Store",
"regionName": "United States",
"currencyIcon": "$",
"promotionId": "PROMO123456",
"name": "Summer Sale 2023",
"status": 1,
"statusText": "进行中",
"originStatus": "ACTIVE",
"promotionType": 4,
"promotionTypeText": "购买折扣",
"promotionStartTime": "2023-05-01 00:00:00",
"promotionEndTime": "2023-05-31 23:59:59",
"promotionCode": "SUMMER20",
"exchangeLimit": 1,
"participateCondition": "Buy 2 items",
"buyerGets": "20% off",
"purchaseProduct": "All eligible items",
"discountProduct": "Selected items",
"excludeProduct": "Clearance items",
"trackingId": "TRACK789",
"displayOnDetailPage": 1,
"salesAmount": 1250.50,
"salesVolume": 45,
"promotionPageLink": "https://www.amazon.com/promos/PROMO123456"
},
"listingPage": {
"current": 1,
"currentSize": 2,
"hasNextPage": false,
"hasPreviousPage": false,
"pageCount": 1,
"records": [
{
"asin": "B08N5KWB9H",
"asinUrl": "https://www.amazon.com/dp/B08N5KWB9H",
"currencyIcon": "$",
"itemName": "Wireless Bluetooth Headphones",
"management": {
"discountPrice": 59.99,
"salesAmount": 1199.80,
"salesPrice": 59.99,
"salesVolume": 20
},
"regionName": "United States",
"sellerSku": "WH-2023-BLUE",
"smallImageUrl": "https://m.media-amazon.com/images/I/71+6m.jpg",
"storeId": 789,
"storeName": "BestSeller Store"
},
{
"asin": "B07PGL2ZKV",
"asinUrl": "https://www.amazon.com/dp/B07PGL2ZKV",
"currencyIcon": "$",
"itemName": "Portable Charger 10000mAh",
"management": {
"discountPrice": 25.99,
"salesAmount": 50.70,
"salesPrice": 25.99,
"salesVolume": 2
},
"regionName": "United States",
"sellerSku": "PC-2023-BLK",
"smallImageUrl": "https://m.media-amazon.com/images/I/61+9m.jpg",
"storeId": 789,
"storeName": "BestSeller Store"
}
],
"size": 10,
"total": 2
},
"orderPage": {
"current": 1,
"currentSize": 1,
"hasNextPage": false,
"hasPreviousPage": false,
"pageCount": 1,
"records": [
{
"amazonOrderId": "112-1234567-8901234",
"currencyIcon": "$",
"orderItems": [
{
"asin": "B08N5KWB9H",
"asinUrl": "https://www.amazon.com/dp/B08N5KWB9H",
"itemName": "Wireless Bluetooth Headphones",
"localName": "蓝牙无线耳机",
"localSku": "LOCAL-BT-001",
"promotionId": "PROMO123456",
"sellerSku": "WH-2023-BLUE",
"smallImageUrl": "https://m.media-amazon.com/images/I/71+6m.jpg"
}
],
"orderStatus": "Shipped",
"orderTotalAmount": 119.98,
"purchaseDate": "2023-05-10 15:30:22",
"regionName": "United States",
"storeId": 789,
"storeName": "BestSeller Store"
}
],
"size": 10,
"total": 1
}
}
]
}